---
name: Live Map
description: 'Display a map in your website. Your users will be able to move the map, zoom in and out in order to locate where you are exactly'
doc: https://github.com/silexlabs/Silex/wiki/Live-map
category: Utils
tags:
- map
- contact
- geoloc
isPrivate: false
useMinHeight: false
baseElement: html
faIconClass: fa-map
dependencies:
  link:
  - href: https://cdn.jsdelivr.net/gh/openlayers/openlayers.github.io@master/en/v6.3.1/css/ol.css
    rel: stylesheet
    type: 'text/css'
  script:
  - type: 'text/javascript'
    src: https://cdn.jsdelivr.net/gh/openlayers/openlayers.github.io@master/en/v6.3.1/build/ol.js
initialCssClass:
  silex-use-height-not-minheight
  silex-element-content-full-height
initialCss:
  height: 400px
  width: 400px
  background-color: transparent
props:
- name: url
  expandable: true
  type: string
  default: http://www.openstreetmap.org/#map=18/48.87378/2.29489&layers=C
  description: URL of the map on openstreetmap.org
- name: marker
  expandable: true
  type: file
  description: Image to display at the center of the map (called a marker)
